loci.formats.services

## Interface MetakitService

- All Superinterfaces:
    loci.common.services.Service
  All Known Implementing Classes:
    MetakitServiceImpl

      public interface MetakitService
      extends loci.common.services.Service

  Interface defining methods for interacting with the OME Metakit library.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String[]` | `getColumNames(int table)`
    `java.lang.String[]` | `getColumnNames(java.lang.String table)`
    `java.lang.Class[]` | `getColumnTypes(int table)`
    `java.lang.Class[]` | `getColumnTypes(java.lang.String table)`
    `int` | `getRowCount(int table)`
    `int` | `getRowCount(java.lang.String table)`
    `java.lang.Object[]` | `getRowData(int row, int table)`
    `java.lang.Object[]` | `getRowData(int row, java.lang.String table)`
    `int` | `getTableCount()`
    `java.lang.Object[][]` | `getTableData(int table)`
    `java.lang.Object[][]` | `getTableData(java.lang.String table)`
    `java.lang.String[]` | `getTableNames()`
    `void` | `initialize(loci.common.RandomAccessInputStream file)`
    `void` | `initialize(java.lang.String file)`

- - ### Method Detail

    - #### initialize

          void initialize(java.lang.String file)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### initialize

          void initialize(loci.common.RandomAccessInputStream file)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTableCount

          int getTableCount()

    - #### getTableNames

          java.lang.String[] getTableNames()

    - #### getColumnNames

          java.lang.String[] getColumnNames(java.lang.String table)

    - #### getColumNames

          java.lang.String[] getColumNames(int table)

    - #### getTableData

          java.lang.Object[][] getTableData(java.lang.String table)

    - #### getTableData

          java.lang.Object[][] getTableData(int table)

    - #### getRowData

          java.lang.Object[] getRowData(int row,
                                        java.lang.String table)

    - #### getRowData

          java.lang.Object[] getRowData(int row,
                                        int table)

    - #### getRowCount

          int getRowCount(int table)

    - #### getRowCount

          int getRowCount(java.lang.String table)

    - #### getColumnTypes

          java.lang.Class[] getColumnTypes(int table)

    - #### getColumnTypes

          java.lang.Class[] getColumnTypes(java.lang.String table)

    - #### close

          void close()

Copyright © 2026 Open Microscopy Environment